#Refer java doc of witmate.core.Configureation for details.

witmate.core.LevelCache=witmate.core.kernel.cache.OneLevelCache
#witmate.core.LevelCache=witmate.core.kernel.interfaces.NullLevelCache
#Using witmate.core.kernel.interfaces.NullLevelCache, if this is a non cache system. 

witmate.core.EraseConstantCompare=1
  #0: close this function of compiler.
 
#Max errors looking for, before stop a compile. 
witmate.SLMaxErrCount=15

#How many space for a TAB of your SL editor.
witmate.SLTabCount=4 

#Maximum deepness of Logicset reference.
witmate.core.MaxDeepnessLSRefer=32

#Maximum deepness of varibales reference.
witmate.core.MaxDeepnessVarRefer=64
   
#Initial capacity of logicset catch, it will grow up automatically at runtime.
witmate.core.InitialCacheCapacity.logicset=32

#Initial capacity of public variables space, it will grow up automatically at runtime.
witmate.core.InitialPublicVariableCapacity=32

#Maximum size of Runtime catchs.
witmate.core.MaxCacheLevel=8
#Maximum cache size for Vaiables.
witmate.core.CacheMaxSize.Variable=-1
##Maximum cache size for compares results.
witmate.core.CacheMaxSize.Compare=-1

#Whether validate slml by slml schema, your XML parser have to support validating if youset this to 1. 
witmate.core.SLMLValidating=0
